﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Net;
using Newtonsoft.Json;
using System.Data;
using WebGrid_JSON_URL_MVC.Models;

namespace WebGrid_JSON_URL_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            ServicePointManager.Expect100Continue = true;
            ServicePointManager.SecurityProtocol = (SecurityProtocolType)3072;
            string json = new WebClient().DownloadString("https://raw.githubusercontent.com/aspsnippets/test/master/Customers.json");
            List<CustomerModel> customers = JsonConvert.DeserializeObject<List<CustomerModel>>(json);
            return View(customers);
        }
    }
}